*
*	K_LSTLEN	
*
*	Title	:	returns no of elements in a delimited list
*	Author	:	Colin Nicholls
*	Version	:	1.5.0
*	Date	:	31/05/94
*
*	returns the number of elements in
*	a string <list>
*	delimited by <delimiter>
*

function k_lstlen

parameter __list, __delimiter
	
if empty( m.__delimiter )	
	m.__delimiter = ","
endif
return occurs( m.__delimiter, m.__list ) + 1


*
*	Old Code
*

#IF .F.

function k_listlen

parameter __list, __delimiter
	
if empty( m.__delimiter )	
	__delimiter = ","
endif
return kl_listlen( m.__list, m.__delimiter )

#ENDIF