*//		Simple Error Handler
*//		
*//--------------------------------------------
#include builder.h

lparameters tnError, tcMethod, tnLine
local lcMessage, laError[1]

*//	AERROR docs:
*//	
*//	Column/Description
*//	1	Numeric. The number of the error. Identical to the value returned by ERROR( ).
*//	2	Character. The text of the error message. Identical to the value returned by MESSAGE( ).
*//	3	The null value. However, if the error has an additional error parameter, contains the text of the error parameter. Identical to the value returned by SYS(2018).
*//	4	The null value. However, as appropriate, contains the number of the work area in which the error occurred.
*//	5	The null value. However, if a trigger failed (error 1539), contains one of the following numeric values:
*//	    1 - Insert trigger failed.
*//	    2 - Update trigger failed.
*//	    3 - Delete trigger failed.
*//	6	The null value.
*//	7	The null value.

=aerror( laError )

lcMessage = "An error has occurred." + c_CR + c_CR
lcMessage = m.lcMessage + "Error:  " + chr(9) + alltrim(str( laError[1,1] )) + c_CR
lcMessage = m.lcMessage + "        " + chr(9) + laError[1,2] + c_CR
* if not isnull( laError[1,3] )
*	lcMessage = m.lcMessage + laError[1,3] + c_CR
* endif
if type( 'm.tcMethod' ) = 'C'
	lcMessage = m.lcMessage + "Method: " + chr(9) + m.tcMethod + c_CR
endif
if type( 'm.tnLine' ) = 'N'
	lcMessage = m.lcMessage + "Line:   " + chr(9) + alltrim(str(m.tnLine)) + c_CR + c_CR
endif
m.lcMessage = m.lcMessage + 'Do you want to SUSPEND the program?'
local liResult
liResult = MessageBox( m.lcMessage, MB_YESNOCANCEL + MB_ICONSTOP, "Master Builder")
do case
case m.liResult = IDYES
	suspend
case m.liResult = IDCANCEL
	cancel
endcase
return

